[package]
name = "hddpServer"
version = "0.1.0"
edition = "2024"

[dependencies]
bytes = "1.10.1"
chrono = { version = "0.4.44", features = ["serde"] }
async-trait = "0.1.89"
sqlx = { version = "0.8.2", features = ["runtime-tokio", "tls-rustls-ring-native-roots", "postgres", "mysql", "chrono", "json"] }
rand = "0.10.0"
rust-embed = { version = "8.11.0", features = ["debug-embed"] }
salvo =  { version = "0.90.1", features = ["serve-static", "tower-compat"] }
serde = "1.0.228"
serde_json = "1.0.149"
rmp-serde = "1.3.0"
socketioxide = { version = "0.18.2", features = ["tracing", "extensions", "state"] }
tokio = {version = "1.50.0", features = ["full"]}
tower = "0.5.3"
tower-http = { version = "0.6.8", features = ["cors"] }
dashmap = "6.1.0"
base64 = "0.22.1"
lazy_static = "1.5.0"

aes = "0.8.4"
cbc = { version = "0.1.2", features = ["alloc"] }
md5 = { version = "0.10.6", package = "md-5" }
reqwest =  { version = "0.13.4", features = ["json"] }

[[bin]]
name = "hddpServer"

[target.x86_64-unknown-linux-musl]
linker = "rust-lld"

# cargo zigbuild --release --target x86_64-unknown-linux-musl
